Subject: [6lo] SWORN: Secure Wake on Radio Nudging

From: Carsten Bormann <[email-masked]>
Date: Mon, 27 Mar 2017 02:17:02 -0500

I just submitted draft-bormann-t2trg-sworn-00.txt, which describes a secure way for applications to wake sleepy nodes.

For 6lo, it may be of interest as a way to expose a MAC layer feature to the application layer in a secure way.

For CoRE, it shows an unusual way to use the CoAP protocol.

For ACE, it is an example of properly authorizing network functions.  
(It is also an example of using COSE — it could even use CWT, but I didn’t specify that part.)

(I probably could add other WGs, but the IETF mail server will only allow so many destination addresses.)

I’m looking forward to discussion about this little note, and what kinds of standards possibly could be derived from it.

Grüße, Carsten

> Htmlized:       https://tools.ietf.org/html/draft-bormann-t2trg-sworn-00
> 
> 
> Abstract:
>   Normally off devices (RFC7228) would need to expend considerable
>   energy resources to be reachable at all times.  Instead, MAC layer
>   mechanisms are often employed that allow the last hop router of the
>   device to "wake" the device via radio when needed.  Activating these
>   devices even for a short time still does expend energy and thus
>   should be available to authorized correspondents only.
>   Traditionally, this has been achieved by heavy firewalling, allowing
>   only authorized hosts to reach the device at all.  This may be too
>   inflexible for an Internet of Things.
> 
>   The present report describes how to use a combination of currently
>   standardized (or in progress) technologies to securely effect this
>   authorization.

Grüße, Carsten